Agda-2.2.10: A dependently typed functional programming language and proof assistant

Agda.TypeChecking.RecordPatterns

Description

Code which replaces pattern matching on record constructors with uses of projection functions.

Synopsis

- translateRecordPatterns :: MonadTCM tcm => Clause -> tcm Clauses

# Documentation

translateRecordPatterns :: MonadTCM tcm => Clause -> tcm Clauses

Replaces pattern matching on record constructors with uses of projection functions. Does not remove record constructor patterns which have sub-patterns containing non-record constructor or literal patterns.